# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-text_diff
Version:			0.3.0
Release:			1.7
Summary:			Engine for performing and rendering text diffs
License:			LGPL
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Text_Diff
Source0:			http://pear.php.net/get/Text_Diff-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
BuildRequires:	php5-pear

%description
This package provides a text-based diff engine and renderers for
multiple diff output formats.

Authors:
--------
	Chuck Hagenbuch
	Jan Schneider
	Paul Jones

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Text_Diff.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Text_Diff.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Text_Diff
fi

%files
%defattr(-, root, root)
%doc docs/Text_Diff
%dir %{peardir}/Text
%dir %{peardir}/Text/Diff
%dir %{peardir}/Text/Diff/Engine
%dir %{peardir}/Text/Diff/Renderer
%dir %{peardir}/tests/Text_Diff
%dir %{peardir}/tests/Text_Diff/tests
%{peardir}/Text/Diff.php
%{peardir}/Text/Diff3.php
%{peardir}/Text/Diff/*.php
%{peardir}/Text/Diff/Engine/*.php
%{peardir}/Text/Diff/Renderer/*.php
%{peardir}/tests/Text_Diff/tests/*.patch
%{peardir}/tests/Text_Diff/tests/*.phpt
%{peardir}/tests/Text_Diff/tests/*.txt
%{_var}/lib/pear/Text_Diff.xml


%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
